Bulk uninstall packages

Base URL
https://{kibana_url}
  • POST /api/fleet/epm/packages/_bulk_uninstall
  • POST /s/{space_id}/api/fleet/epm/packages/_bulk_uninstall
Auth

Uninstall multiple packages in a single operation.

Required authorization

Privileges integrations-all and fleet-agent-policies-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

force boolean · default: false
packages object[] · min items: 1 · max items: 1000 required
name string required
version string required

Responses

Successful response

application/json
taskId string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}